Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword.state
Class AbstractOpenFileState

    java.lang.Object
      org.crosswire.jsword.book.sword.state.AbstractOpenFileState

All Implemented Interfaces:
  Closeable, OpenFileState

Direct Known Subclasses:
  GenBookBackendState, RawBackendState, RawLDBackendState, ZVerseBackendState

    public abstract class AbstractOpenFileState

extends Object
implements OpenFileState

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary
`private long` | `lastAccess`

Constructor Summary
`AbstractOpenFileState()`

Method Summary
`void` | `close()` Allows us to decide whether to release the resources or continue using them
`long` | `getLastAccess()`
`void` | `setLastAccess(long lastAccess)` Sets the last access time

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.crosswire.jsword.book.sword.state.OpenFileState
`getBookMetaData, releaseResources`

Field Detail

### lastAccess

    private long lastAccess

Constructor Detail

### AbstractOpenFileState

    public AbstractOpenFileState()

Method Detail

### close

    public void close()

  Allows us to decide whether to release the resources or continue using them

  Specified by:
    `close` in interface `Closeable`

### getLastAccess

    public long getLastAccess()

  Specified by:
    `getLastAccess` in interface `OpenFileState`
  Returns:
    latest access before releasing back to the pool

### setLastAccess

    public void setLastAccess(long lastAccess)

  Description copied from interface: `OpenFileState`
  Sets the last access time

  Specified by:
    `setLastAccess` in interface `OpenFileState`
  Parameters:
    `lastAccess` - last time the file state was accessed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD